classification
Title: str.join description contains an incorrect reference to argument
Type: Stage:
Components: Documentation Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: docs@python, georg.brandl, py.user, terry.reedy
Priority: normal Keywords: easy, patch

Created on 2012-01-10 03:52 by py.user, last changed 2012-01-13 22:19 by terry.reedy. This issue is now closed.

Messages (4)
msg150999 - (view) Author: py.user (py.user) * Date: 2012-01-10 03:52
http://docs.python.org/py3k/library/stdtypes.html#str.join

str.join(iterable)¶

    Return a string which is the concatenation of the strings in the iterable iterable. A TypeError will be raised if there are any non-string values in seq, including bytes objects. The separator between elements is the string providing this method.


"non-string values in seq" -> "non-string values in iterable"
msg151043 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-01-11 08:42
See #13754 for commits (not here because 'close' != 'closes' or closed')
msg151193 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-01-13 20:45
You put '*' instead of '#' in the commit message.

Also, I don't think you should close more than one issue in one commit.
msg151202 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-01-13 22:19
I see the two as really one issue -- minor corrections to the string section of stdtype.rst -- that py.user happened to have filed as two.
But I could have left out the closes and done at least one explicitly.
Or I could have closed this and said I was consolidating with #13754.
Thanks for pointing out the typo.
History
Date User Action Args
2012-01-13 22:19:18terry.reedysetmessages: + msg151202
2012-01-13 20:45:46georg.brandlsetnosy: + georg.brandl
messages: + msg151193
2012-01-11 08:42:18terry.reedysetstatus: open -> closed
resolution: fixed
messages: + msg151043
2012-01-11 08:08:24terry.reedysetversions: - Python 2.7
2012-01-11 08:00:47terry.reedysetkeywords: + patch, easy
assignee: docs@python -> terry.reedy

nosy: + terry.reedy
versions: + Python 2.7, Python 3.3
2012-01-10 03:52:41py.usercreate